LibreOffice: HTMLForm Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | Public Attributes | List of all members
HTMLForm Service Referencepublished

This service specifies the special kind of Forms for HTML documents. More...

Inheritance diagram for HTMLForm:

## Included Services
service | com::sun::star::form::component::Form
Included Services inherited from Form
service | com::sun::star::form::FormComponent
service | com::sun::star::form::FormComponents

## Exported Interfaces
interface | com::sun::star::form::XReset
| resets the control.
interface | com::sun::star::form::XSubmit
| allows to submit changes.
Exported Interfaces inherited from Form
interface | com::sun::star::form::XForm
| identifies a component as form.
interface | com::sun::star::awt::XTabControllerModel
| This interface has to be implemented to supply the information for tab ordering and component grouping.
Exported Interfaces inherited from FormComponent
interface | com::sun::star::form::XFormComponent
| identifies the component as a candidate for being part of a form.
interface | com::sun::star::lang::XComponent
| allows life-time control of form components.
interface | com::sun::star::container::XNamed
| Each FormComponent must supply a name for identification.
interface | com::sun::star::beans::XPropertySet
| gives access to the properties.
interface | com::sun::star::io::XPersistObject
| Each FormComponent must be able to be stored into and read from a stream.
interface | com::sun::star::beans::XPropertyBag
| allows to associate arbitrary properties with the form component
Exported Interfaces inherited from XPropertyBag
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XPropertyContainer
interface | com::sun::star::beans::XPropertyAccess
Exported Interfaces inherited from FormComponents
interface | com::sun::star::container::XContainer
| allows to register listeners to be notified of changes in the container.
interface | com::sun::star::container::XNameContainer
| allows to add/remove elements by name.
interface | com::sun::star::container::XIndexContainer
| gives access to the elements by index.
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of the elements.
interface | com::sun::star::script::XEventAttacherManager
| This interface has to be implemented to supply the scripting environment for the contained components.

## Public Attributes
string | TargetFrame
| describes the frame, where to open the document specified by the TargetURL.
string | TargetURL
| specifies the URL, which should be used for submission.
com::sun::star::form::FormSubmitMethod | SubmitMethod
| specifies the kind of submission.
com::sun::star::form::FormSubmitEncoding | SubmitEncoding
| specifies the kind of encoding for submission.
Public Attributes inherited from FormComponent
string | Name
| the name of the component.

## Additional Inherited Members
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content.
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed.
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container.
Public Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name.
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name.
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XIndexContainer
void | insertByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified index.
void | removeByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| removes the element at the specified index.
Public Member Functions inherited from XIndexReplace
void | replaceByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified index with the given element.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XEventAttacherManager
void | registerScriptEvent ([in] long nIndex, [in] com::sun::star::script::ScriptEventDescriptor aScriptEvent) raises ( com::sun::star::lang::IllegalArgumentException )
| registers one event for an object identified by its index.
void | registerScriptEvents ([in] long nIndex, [in] sequence< com::sun::star::script::ScriptEventDescriptor > aScriptEvents) raises ( com::sun::star::lang::IllegalArgumentException )
| registers several events for an object identified by its index.
void | revokeScriptEvent ([in] long nIndex, [in] string aListenerType, [in] string aEventMethod, [in] string aRemoveListenerParam) raises ( com::sun::star::lang::IllegalArgumentException )
| revokes the registration of an event.
void | revokeScriptEvents ([in] long nIndex) raises ( com::sun::star::lang::IllegalArgumentException )
| revokes all events which are registered for the given index.
void | insertEntry ([in] long nIndex) raises ( com::sun::star::lang::IllegalArgumentException )
| creates an empty entry at the given position.
void | removeEntry ([in] long nIndex) raises ( com::sun::star::lang::IllegalArgumentException )
| removes the entry at the given position.
sequence< com::sun::star::script::ScriptEventDescriptor > | getScriptEvents ([in] long Index) raises ( com::sun::star::lang::IllegalArgumentException )
void | attach ([in] long nIndex, [in] com::sun::star::uno::XInterface xObject, [in] any aHelper) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::ServiceNotRegisteredException )
| attaches all the ScriptEvents which are registered for the given index to the given object.
void | detach ([in] long nIndex, [in] com::sun::star::uno::XInterface xObject) raises ( com::sun::star::lang::IllegalArgumentException )
| detaches all the ScriptEvents from the given object which are registered at this object for the given index.
void | addScriptListener ([in] com::sun::star::script::XScriptListener xListener) raises ( com::sun::star::lang::IllegalArgumentException )
| adds an XScriptListener that will be notified when an event takes place.
void | removeScriptListener ([in] com::sun::star::script::XScriptListener Listener) raises ( com::sun::star::lang::IllegalArgumentException )
| removes a XScriptListener from the listener list.
Public Member Functions inherited from XTabControllerModel
boolean | getGroupControl ()
| returns whether the control models are grouped together.
void | setGroupControl ([in] boolean GroupControl)
| determines if the control models are grouped together.
void | setControlModels ([in] sequence< com::sun::star::awt::XControlModel > Controls)
| sets the control models.
sequence< com::sun::star::awt::XControlModel > | getControlModels ()
| returns the control models.
void | setGroup ([in] sequence< com::sun::star::awt::XControlModel > Group, [in] string GroupName)
| sets a control model group.
long | getGroupCount ()
| returns the number of control model groups.
void | getGroup ([in] long nGroup, [out] sequence< com::sun::star::awt::XControlModel > Group, [out] string Name)
| returns a control model group.
void | getGroupByName ([in] string Name, [out] sequence< com::sun::star::awt::XControlModel > Group)
| returns a control model group by name.
Public Member Functions inherited from XReset
void | reset ()
| resets a component to some default value.
void | addResetListener ([in] com::sun::star::form::XResetListener aListener)
| adds the specified listener to receive events related to resetting the component.
void | removeResetListener ([in] com::sun::star::form::XResetListener aListener)
| removes the specified listener
Public Member Functions inherited from XSubmit
void | submit ([in] com::sun::star::awt::XControl aControl, [in] com::sun::star::awt::MouseEvent aMouseEvt)
| submits the component's data to a specified target.
void | addSubmitListener ([in] com::sun::star::form::XSubmitListener aListener)
| adds the specified listener to receive the "approveSubmit" event.
void | removeSubmitListener ([in] com::sun::star::form::XSubmitListener aListener)
| removes the specified listener.
Protected Member Functions inherited from XPropertyContainer
void | addProperty ([in] string Name, [in] short Attributes, [in] any DefaultValue) raises ( com::sun::star::beans::PropertyExistException, com::sun::star::beans::IllegalTypeException, com::sun::star::lang::IllegalArgumentException )
| adds a property to the object.
void | removeProperty ([in] string Name) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::NotRemoveableException )
| removes a property from the object.
Protected Member Functions inherited from XPropertyAccess
sequence< com::sun::star::beans::PropertyValue > | getPropertyValues ()
void | setPropertyValues ([in] sequence< com::sun::star::beans::PropertyValue > aProps) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of given properties.

## Detailed Description

This service specifies the special kind of Forms for HTML documents.

An HTMLForm fulfills the specification of forms in HTML. It supplies the possibility of submitting or resetting the contents of a form. For more information on HTML forms, please see the documentation of HTML.

Developers Guide
  Forms - HTML Forms
  Forms - Control Models Forms

## Exported Interfaces

## ◆ com::sun::star::form::component::Form

service com::sun::star::form::component::Form

## Exported Interfaces

## ◆ com::sun::star::form::XReset

interface com::sun::star::form::XReset

resets the control.

## ◆ com::sun::star::form::XSubmit

interface com::sun::star::form::XSubmit

allows to submit changes.

When a form is submitted, the data contained in the form is sent to the target URL as a series of name/value pairs. The name portion of each pair is the name of a form component as specified by its NAME attribute. In most cases the value portion is the value displayed by the element, for example, the text displayed in a text field.

## Member Data Documentation

## ◆ SubmitEncoding

com::sun::star::form::FormSubmitEncoding SubmitEncoding
| property

specifies the kind of encoding for submission.

## ◆ SubmitMethod

com::sun::star::form::FormSubmitMethod SubmitMethod
| property

specifies the kind of submission.

## ◆ TargetFrame

string TargetFrame
| property

describes the frame, where to open the document specified by the TargetURL.

## ◆ TargetURL

string TargetURL
| property

specifies the URL, which should be used for submission.

The documentation for this service was generated from the following file:

- com/sun/star/form/component/HTMLForm.idl